Summary: GLExec Worker Node meta-package
Name: glexec-wn
Version: 1.2.0
Release: 3%{?dist}
License: ASL 2.0
Group: Applications/System
URL: http://wiki.nikhef.nl/grid/Site_Access_Control
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: glexec%{?_isa}
Requires: mkgltempdir
Requires: glexec-wrapper-scripts
Requires: lcas%{?_isa}
Requires: lcas-plugins-basic%{?_isa}
Requires: lcas-plugins-check-executable%{?_isa}
Requires: lcas-plugins-voms%{?_isa}
Requires: lcmaps%{?_isa}
Requires: lcmaps-plugins-basic%{?_isa}
Requires: lcmaps-plugins-c-pep%{?_isa}
Requires: lcmaps-plugins-tracking-groupid%{?_isa}
Requires: lcmaps-plugins-verify-proxy%{?_isa}
Requires: lcmaps-plugins-voms%{?_isa}
Requires: nagios-plugins-glexec%{?_isa}
Provides: emi-glexec_wn = %{version}-%{release}
%if "x%{__isa}" != "x"
Provides: emi-glexec_wn%{?_isa} = %{version}-%{release}
%endif
Obsoletes: emi-glexec_wn < 1.2.0

%description
Meta-package providing the necessary requirements to fully install a gLExec
worker node.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%changelog
* Tue Jan  8 2013 Mischa Salle <msalle@nikhef.nl> 1.2.0-3
- Add provides and obsoletes to handle name change

* Thu Oct 25 2012 Mischa Salle <msalle@nikhef.nl> 1.2.0-2
- Add lcas and plugins.

* Wed Oct 24 2012 Mischa Salle <msalle@nikhef.nl> 1.2.0-1
- Update dependencies.
- Add apropriate architecture to requirements.
- Rename to prevent underscore in name.
- Update version.

* Wed Dec 21 2011 Mischa Salle <msalle@nikhef.nl> 1.1.0-1
- initial version
